## org.eclipse.datatools.modelbase.sql.tables
Interface Column

All Superinterfaces:
  SQLObject, TypedElement

All Known Implementing Classes:
  ColumnImpl

public interface Column
extends TypedElement

A representation of the model object 'Column'. 4.13 Columns, fields, and attributes The terms column, field, and attribute refer to structural components of tables, row types, and structured types, respectively, in analogous fashion. As the structure of a table consists of one or more columns, so does the structure of a row type consist of one or more fields and that of a structured type one or more attributes. Every structural element, whether a column, a field, or an attribute, is primarily a name paired with a declared type. The elements of a structure are ordered. Elements in different positions in the same structure can have the same declared type but not the same name. Although the elements of a structure are distinguished from each other by name, in some circumstances the compatibility of two structures (for the purpose at hand) is determined solely by considering the declared types of each pair of elements at the same ordinal position. A table (see Subclause 4.14, "Tables") is defined on one or more columns and consists of zero or more rows. A column has a name and a declared type. Each row in a table has exactly one value for each column. Each value in a row is a value in the declared type of the column. NOTE 21: The declared type includes the null value and values in proper subtypes of the declared type. Every column has a nullability characteristic that indicates whether the value from that column can be the null value. The possible values of nullability characteristic are known not nullable and possibly nullable. A column C is described by a column descriptor. A column descriptor includes: - The name of the column. - Whether the name of the column is an implementation-dependent name. - If the column is based on a domain, then the name of that domain; otherwise, the data type descriptor of the declared type of C. - The value of <default option> , if any, of C. - The nullability characteristic of C. - The ordinal position of C within the table that contains it. - An indication of whether C is a self-referencing column of a base table or not. - If the declared type of C is a reference type, then an indication of whether references are to be checked, and the <reference scope check action> , if specified or implied. - An indication of whether C is an identity column or not. - If C is an identity column, then an indication of whether values are always generated or generated by default. - If C is an identity column, then the start value of C. - If C is an identity column, then the descriptor of the internal sequence generator for C. NOTE 22 - Identity columns and the meaning of "start value" are described in Subclause 4.14.4, "Identity columns". - If C is a generated column, then the generation expression of C. NOTE 23 - Generated columns and the meaning of "generation expression" are described in Subclause 4.14.5, "Base columns and generated columns". An attribute A is described by an attribute descriptor. An attribute descriptor includes: - The name of the attribute. - The data type descriptor of the declared type of A. - The ordinal position of A within the structured type that contains it. - The value of the implicit or explicit <attribute default> of A. - If the data type of the attribute is a reference type, then an indication of whether reference values shall be checked, and the <reference scope check action> , if specified or implied. - The name of the structured type defined by the that defines A. A field F is described by a field descriptor. A field descriptor includes: - The name of the field. - The data type descriptor of the declared type of F. - The ordinal position of F within the row type that simply contains it. - If the data type of the field is a reference type, then an indication of whether reference values shall be checked, and the <reference scope check action> , if specified or implied.

The following features are supported:

- `Table`
- `Identity Specifier`
- `Generate Expression`
- `Implementation Dependent`
- `Nullable`
- `Default Value`
- `Scope Check`
- `Scope Checked`

See Also:
  `SQLTablesPackage.getColumn()`

Method Summary
`java.lang.String` `getDefaultValue()` Returns the value of the 'Default Value' attribute.
`ValueExpression` `getGenerateExpression()` Returns the value of the 'Generate Expression' containment reference.
`IdentitySpecifier` `getIdentitySpecifier()` Returns the value of the 'Identity Specifier' containment reference.
`ReferentialActionType` `getScopeCheck()` Returns the value of the 'Scope Check' attribute.
`Table` `getTable()` Returns the value of the 'Table' container reference.
`boolean` `isImplementationDependent()` Returns the value of the 'Implementation Dependent' attribute.
`boolean` `isNullable()` Returns the value of the 'Nullable' attribute.
`boolean` `isPartOfForeignKey()`
`boolean` `isPartOfPrimaryKey()`
`boolean` `isPartOfUniqueConstraint()`
`boolean` `isScopeChecked()` Returns the value of the 'Scope Checked' attribute.
`void` `setDefaultValue(java.lang.String value)` Sets the value of the '`Default Value`' attribute.
`void` `setGenerateExpression(ValueExpression value)` Sets the value of the '`Generate Expression`' containment reference.
`void` `setIdentitySpecifier(IdentitySpecifier value)` Sets the value of the '`Identity Specifier`' containment reference.
`void` `setImplementationDependent(boolean value)` Sets the value of the '`Implementation Dependent`' attribute.
`void` `setNullable(boolean value)` Sets the value of the '`Nullable`' attribute.
`void` `setScopeCheck(ReferentialActionType value)` Sets the value of the '`Scope Check`' attribute.
`void` `setScopeChecked(boolean value)` Sets the value of the '`Scope Checked`' attribute.
`void` `setTable(Table value)` Sets the value of the '`Table`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.TypedElement
`getContainedType, getDataType, getReferencedType, setContainedType, setDataType, setReferencedType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getTable

    public Table getTable()

  Returns the value of the 'Table' container reference. It is bidirectional and its opposite is '`Columns`'.

  If the meaning of the 'Table' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table' container reference.
  See Also:
    `setTable(Table)`, `SQLTablesPackage.getColumn_Table()`, `Table.getColumns()`

### setTable

    public void setTable(Table value)

  Sets the value of the '`Table`' container reference.

  Parameters:
    `value` - the new value of the 'Table' container reference.
  See Also:
    `getTable()`

### getIdentitySpecifier

    public IdentitySpecifier getIdentitySpecifier()

  Returns the value of the 'Identity Specifier' containment reference.

  If the meaning of the 'Identity Specifier' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity Specifier' containment reference.
  See Also:
    `setIdentitySpecifier(IdentitySpecifier)`, `SQLTablesPackage.getColumn_IdentitySpecifier()`

### setIdentitySpecifier

    public void setIdentitySpecifier(IdentitySpecifier value)

  Sets the value of the '`Identity Specifier`' containment reference.

  Parameters:
    `value` - the new value of the 'Identity Specifier' containment reference.
  See Also:
    `getIdentitySpecifier()`

### getGenerateExpression

    public ValueExpression getGenerateExpression()

  Returns the value of the 'Generate Expression' containment reference.

  If the meaning of the 'Generate Expression' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Generate Expression' containment reference.
  See Also:
    `setGenerateExpression(ValueExpression)`, `SQLTablesPackage.getColumn_GenerateExpression()`

### setGenerateExpression

    public void setGenerateExpression(ValueExpression value)

  Sets the value of the '`Generate Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Generate Expression' containment reference.
  See Also:
    `getGenerateExpression()`

### isImplementationDependent

    public boolean isImplementationDependent()

  Returns the value of the 'Implementation Dependent' attribute. The default value is `"False"`.

  If the meaning of the 'Implementation Dependent' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Implementation Dependent' attribute.
  See Also:
    `setImplementationDependent(boolean)`, `SQLTablesPackage.getColumn_ImplementationDependent()`

### setImplementationDependent

    public void setImplementationDependent(boolean value)

  Sets the value of the '`Implementation Dependent`' attribute.

  Parameters:
    `value` - the new value of the 'Implementation Dependent' attribute.
  See Also:
    `isImplementationDependent()`

### isNullable

    public boolean isNullable()

  Returns the value of the 'Nullable' attribute. The default value is `"True"`.

  If the meaning of the 'Nullable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nullable' attribute.
  See Also:
    `setNullable(boolean)`, `SQLTablesPackage.getColumn_Nullable()`

### setNullable

    public void setNullable(boolean value)

  Sets the value of the '`Nullable`' attribute.

  Parameters:
    `value` - the new value of the 'Nullable' attribute.
  See Also:
    `isNullable()`

### getDefaultValue

    public java.lang.String getDefaultValue()

  Returns the value of the 'Default Value' attribute.

  If the meaning of the 'Default Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `setDefaultValue(String)`, `SQLTablesPackage.getColumn_DefaultValue()`

### setDefaultValue

    public void setDefaultValue(java.lang.String value)

  Sets the value of the '`Default Value`' attribute.

  Parameters:
    `value` - the new value of the 'Default Value' attribute.
  See Also:
    `getDefaultValue()`

### getScopeCheck

    public ReferentialActionType getScopeCheck()

  Returns the value of the 'Scope Check' attribute. The default value is `"NO_ACTION"`. The literals are from the enumeration `ReferentialActionType`.

  If the meaning of the 'Scope Check' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `setScopeCheck(ReferentialActionType)`, `SQLTablesPackage.getColumn_ScopeCheck()`

### setScopeCheck

    public void setScopeCheck(ReferentialActionType value)

  Sets the value of the '`Scope Check`' attribute.

  Parameters:
    `value` - the new value of the 'Scope Check' attribute.
  See Also:
    `ReferentialActionType`, `getScopeCheck()`

### isScopeChecked

    public boolean isScopeChecked()

  Returns the value of the 'Scope Checked' attribute.

  If the meaning of the 'Scope Checked' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scope Checked' attribute.
  See Also:
    `setScopeChecked(boolean)`, `SQLTablesPackage.getColumn_ScopeChecked()`

### setScopeChecked

    public void setScopeChecked(boolean value)

  Sets the value of the '`Scope Checked`' attribute.

  Parameters:
    `value` - the new value of the 'Scope Checked' attribute.
  See Also:
    `isScopeChecked()`

### isPartOfForeignKey

    public boolean isPartOfForeignKey()

### isPartOfUniqueConstraint

    public boolean isPartOfUniqueConstraint()

### isPartOfPrimaryKey

    public boolean isPartOfPrimaryKey()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.